Magazine Issues API
The Magazine Issues API delivers a list of issues for a magazine in your collection, including the most recent issue and any available prior issues.
Note: The examples below show our production API URL. If you're using our integration environment, use https://integration.api.overdrive.com or https://integration-patron.api.overdrive.com.
Using the Magazine Issues API
The Magazine Issues API can return some or all issues for a specific magazine. Results are returned as a paginated JSON response based on the query parameters you provide.
To get started, get a products link from the Library Account API. You'll also need the parent magazine's reserveId or crossRefId (also called a titleId) for this API.
You can get the parent magazine ID from the Search API or Metadata API (parentMagazineReferenceId or parentMagazineTitleId field). IDs for individual magazine issues can't be used for this API.
Resource URL
https://api.overdrive.com/v1/collections/{collectionToken}/products/{reserve or title ID}/issues?{parameters}Query parameters
These query parameters determine how many issues to display and how results are sorted.
| Parameter | Description |
|---|---|
| limit | Limits the number of issues shown per page. By default, results will be limited to 25 issues per page with a maximum of 2,000 issues. |
| offset | Offsets your returned results. Using a value of 20 means that your results start on the 21st issue in the collection, omitting the first 20. |
| sort | Sort based on the date an issue became available for sale. By default, issues are sorted in descending order (newest issue to oldest). To sort by oldest to newest, enter sort=saledate:asc. |
Example request
GET https://api.overdrive.com/v1/collections/v1L1BBQ0AAA2_/products/43735f1e-bd86-4e6a-8e36-45e270ac7b9b/issues?limit=3
HTTP/1.1
User-Agent: {Your application}
Authorization: Bearer {OAuth access token}
Host: api.overdrive.comThe call returns a paginated list of issues as shown in the example below. This example response is limited to 3 issues per page, but the default limit is 25 issues per page.
Example response
200 OK
Date: Tue, 04 Jun 2024 14:23:16 GMT
X-Content-Type-Options: nosniff
Strict-Transport-Security: max-age=31536000; includeSubDomains
Content-Length: 7194
Content-Type: application/json; charset=utf-8
{
"limit": 3,
"offset": 0,
"totalItems": 25,
"id": "v1L1BBQ0AAA2_",
"products": [
{
"isOwnedByCollections": true,
"id": "02BD64B7-E35A-482F-8A67-9CCE1F5A8DD1",
"parentMagazineTitleId": "5838053",
"parentMagazineReferenceId": "43735f1e-bd86-4e6a-8e36-45e270ac7b9b",
"crossRefId": 10711264,
"mediaType": "Magazine",
"title": "HGTV Magazine",
"sortTitle": "HGTV Magazine",
"series": "HGTV Magazine",
"edition": "May/June 2024",
"formats": [
{
"id": "magazine-overdrive",
"name": "OverDrive Magazine",
"identifiers": [
{
"type": "PublisherCatalogNumber",
"value": "3845-630416"
}
]
}
],
"images": {
"thumbnail": {
"href": "https://img1.od-cdn.com/ImageType-200/11052-1/{02BD64B7-E35A-482F-8A67-9CCE1F5A8DD1}IMG200.JPG",
"type": "image/jpeg"
},
"cover150Wide": {
"href": "https://img1.od-cdn.com/ImageType-150/11052-1/{02BD64B7-E35A-482F-8A67-9CCE1F5A8DD1}IMG150.JPG",
"type": "image/jpeg"
},
"cover": {
"href": "https://img1.od-cdn.com/ImageType-100/11052-1/{02BD64B7-E35A-482F-8A67-9CCE1F5A8DD1}IMG100.JPG",
"type": "image/jpeg"
},
"cover300Wide": {
"href": "https://img1.od-cdn.com/ImageType-400/11052-1/{02BD64B7-E35A-482F-8A67-9CCE1F5A8DD1}IMG400.JPG",
"type": "image/jpeg"
}
},
"contentDetails": [
{
"href": "https://link.overdrive.com?websiteID=100300&titleID=10711264",
"type": "text/html",
"account": {
"id": 4425,
"name": "OverDrive API Integration Library (OH)"
}
}
],
"links": {
"self": {
"href": "https://api.overdrive.com/v1/collections/v1L1BBQ0AAA2_/products/02bd64b7-e35a-482f-8a67-9cce1f5a8dd1",
"type": "application/vnd.overdrive.api+json"
},
"metadata": {
"href": "https://api.overdrive.com/v1/collections/v1L1BBQ0AAA2_/products/02bd64b7-e35a-482f-8a67-9cce1f5a8dd1/metadata",
"type": "application/vnd.overdrive.api+json"
},
"availability": {
"href": "https://api.overdrive.com/v1/collections/v1L1BBQ0AAA2_/products/02bd64b7-e35a-482f-8a67-9cce1f5a8dd1/availability",
"type": "application/vnd.overdrive.api+json"
},
"availabilityV2": {
"href": "https://api.overdrive.com/v2/collections/v1L1BBQ0AAA2_/products/02bd64b7-e35a-482f-8a67-9cce1f5a8dd1/availability",
"type": "application/vnd.overdrive.api+json"
},
"issues": {
"href": "https://api.overdrive.com/v1/collections/v1L1BBQ0AAA2_/products/43735f1e-bd86-4e6a-8e36-45e270ac7b9b/issues",
"type": "application/vnd.overdrive.api+json"
}
}
},
{
"isOwnedByCollections": true,
"id": "DA97C2BA-4AD6-4271-832D-BF9F3345F75F",
"parentMagazineTitleId": "5838053",
"parentMagazineReferenceId": "43735f1e-bd86-4e6a-8e36-45e270ac7b9b",
"crossRefId": 10543329,
"mediaType": "Magazine",
"title": "HGTV Magazine",
"sortTitle": "HGTV Magazine",
"series": "HGTV Magazine",
"edition": "March/April 2024",
"formats": [
{
"id": "magazine-overdrive",
"name": "OverDrive Magazine",
"identifiers": [
{
"type": "PublisherCatalogNumber",
"value": "3845-630415"
}
]
}
],
"images": {
"thumbnail": {
"href": "https://img1.od-cdn.com/ImageType-200/11052-1/{DA97C2BA-4AD6-4271-832D-BF9F3345F75F}IMG200.JPG",
"type": "image/jpeg"
},
"cover150Wide": {
"href": "https://img1.od-cdn.com/ImageType-150/11052-1/{DA97C2BA-4AD6-4271-832D-BF9F3345F75F}IMG150.JPG",
"type": "image/jpeg"
},
"cover": {
"href": "https://img1.od-cdn.com/ImageType-100/11052-1/{DA97C2BA-4AD6-4271-832D-BF9F3345F75F}IMG100.JPG",
"type": "image/jpeg"
},
"cover300Wide": {
"href": "https://img1.od-cdn.com/ImageType-400/11052-1/{DA97C2BA-4AD6-4271-832D-BF9F3345F75F}IMG400.JPG",
"type": "image/jpeg"
}
},
"contentDetails": [
{
"href": "https://link.overdrive.com?websiteID=100300&titleID=10543329",
"type": "text/html",
"account": {
"id": 4425,
"name": "OverDrive API Integration Library (OH)"
}
}
],
"links": {
"self": {
"href": "https://api.overdrive.com/v1/collections/v1L1BBQ0AAA2_/products/da97c2ba-4ad6-4271-832d-bf9f3345f75f",
"type": "application/vnd.overdrive.api+json"
},
"metadata": {
"href": "https://api.overdrive.com/v1/collections/v1L1BBQ0AAA2_/products/da97c2ba-4ad6-4271-832d-bf9f3345f75f/metadata",
"type": "application/vnd.overdrive.api+json"
},
"availability": {
"href": "https://api.overdrive.com/v1/collections/v1L1BBQ0AAA2_/products/da97c2ba-4ad6-4271-832d-bf9f3345f75f/availability",
"type": "application/vnd.overdrive.api+json"
},
"availabilityV2": {
"href": "https://api.overdrive.com/v2/collections/v1L1BBQ0AAA2_/products/da97c2ba-4ad6-4271-832d-bf9f3345f75f/availability",
"type": "application/vnd.overdrive.api+json"
},
"issues": {
"href": "https://api.overdrive.com/v1/collections/v1L1BBQ0AAA2_/products/43735f1e-bd86-4e6a-8e36-45e270ac7b9b/issues",
"type": "application/vnd.overdrive.api+json"
}
}
},
{
"isOwnedByCollections": true,
"id": "CDE8E6BD-4C07-4025-BADE-E28A03A6DE83",
"parentMagazineTitleId": "5838053",
"parentMagazineReferenceId": "43735f1e-bd86-4e6a-8e36-45e270ac7b9b",
"crossRefId": 10369220,
"mediaType": "Magazine",
"title": "HGTV Magazine",
"sortTitle": "HGTV Magazine",
"series": "HGTV Magazine",
"edition": "January/February 2024",
"formats": [
{
"id": "magazine-overdrive",
"name": "OverDrive Magazine",
"identifiers": [
{
"type": "PublisherCatalogNumber",
"value": "3845-630414"
}
]
}
],
"images": {
"thumbnail": {
"href": "https://img1.od-cdn.com/ImageType-200/11052-1/{CDE8E6BD-4C07-4025-BADE-E28A03A6DE83}IMG200.JPG",
"type": "image/jpeg"
},
"cover150Wide": {
"href": "https://img1.od-cdn.com/ImageType-150/11052-1/{CDE8E6BD-4C07-4025-BADE-E28A03A6DE83}IMG150.JPG",
"type": "image/jpeg"
},
"cover": {
"href": "https://img1.od-cdn.com/ImageType-100/11052-1/{CDE8E6BD-4C07-4025-BADE-E28A03A6DE83}IMG100.JPG",
"type": "image/jpeg"
},
"cover300Wide": {
"href": "https://img1.od-cdn.com/ImageType-400/11052-1/{CDE8E6BD-4C07-4025-BADE-E28A03A6DE83}IMG400.JPG",
"type": "image/jpeg"
}
},
"contentDetails": [
{
"href": "https://link.overdrive.com?websiteID=100300&titleID=10369220",
"type": "text/html",
"account": {
"id": 4425,
"name": "OverDrive API Integration Library (OH)"
}
}
],
"links": {
"self": {
"href": "https://api.overdrive.com/v1/collections/v1L1BBQ0AAA2_/products/cde8e6bd-4c07-4025-bade-e28a03a6de83",
"type": "application/vnd.overdrive.api+json"
},
"metadata": {
"href": "https://api.overdrive.com/v1/collections/v1L1BBQ0AAA2_/products/cde8e6bd-4c07-4025-bade-e28a03a6de83/metadata",
"type": "application/vnd.overdrive.api+json"
},
"availability": {
"href": "https://api.overdrive.com/v1/collections/v1L1BBQ0AAA2_/products/cde8e6bd-4c07-4025-bade-e28a03a6de83/availability",
"type": "application/vnd.overdrive.api+json"
},
"availabilityV2": {
"href": "https://api.overdrive.com/v2/collections/v1L1BBQ0AAA2_/products/cde8e6bd-4c07-4025-bade-e28a03a6de83/availability",
"type": "application/vnd.overdrive.api+json"
},
"issues": {
"href": "https://api.overdrive.com/v1/collections/v1L1BBQ0AAA2_/products/43735f1e-bd86-4e6a-8e36-45e270ac7b9b/issues",
"type": "application/vnd.overdrive.api+json"
}
}
}
],
"links": {
"self": {
"href": "https://api.overdrive.com/v1/collections/v1L1BBQ0AAA2_/products/43735f1e-bd86-4e6a-8e36-45e270ac7b9b/issues?limit=3&offset=0",
"type": "application/vnd.overdrive.api+json"
},
"first": {
"href": "https://api.overdrive.com/v1/collections/v1L1BBQ0AAA2_/products/43735f1e-bd86-4e6a-8e36-45e270ac7b9b/issues?limit=3&offset=0",
"type": "application/vnd.overdrive.api+json"
},
"next": {
"href": "https://api.overdrive.com/v1/collections/v1L1BBQ0AAA2_/products/43735f1e-bd86-4e6a-8e36-45e270ac7b9b/issues?limit=3&offset=3",
"type": "application/vnd.overdrive.api+json"
},
"last": {
"href": "https://api.overdrive.com/v1/collections/v1L1BBQ0AAA2_/products/43735f1e-bd86-4e6a-8e36-45e270ac7b9b/issues?limit=3&offset=24",
"type": "application/vnd.overdrive.api+json"
}
}
}This response includes limited title information along with hypermedia links that you can use to access the Metadata or Library Availability API.